package GCG.Clients.Simple;

import GCG.protokoll.PROTOKOLL;
import abiturklassen.netz.Client;

/**
 * Ein Client, der die Meldungen des Servers an einen Ausgabeframe unbearbeitet
 * weiterleitet.
 * 
 * @version 5.0 vom 20.12.2015
 * @author Klaus Bovermann
 */
public class SimpleGraphClient extends Client {

	private SimpleGraphClientFrame meineGUI;

	public SimpleGraphClient(String pIPAdresse, int pPortNr, SimpleGraphClientFrame dieGUI) {
		super(pIPAdresse, pPortNr);
		this.meineGUI = dieGUI;
	}

	public void processMessage(String pMessage) {
		String[] tags = pMessage.split(PROTOKOLL.TRENNER);
		this.meineGUI.ausgeben(pMessage);
		if (tags[0].equals(PROTOKOLL.SC_GEWINN_ENDE)) {
			this.close();
		}
	}
}
