package GCG.server;

import java.awt.BorderLayout;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.SwingConstants;
import javax.swing.border.EmptyBorder;

@SuppressWarnings("serial")
public class GCG_ServerFrame extends JFrame {

	private JPanel contentPane;
	private JScrollPane scrollPane;
	private JLabel verbindungLabel;
	private JTextArea ausgabeFeld;

	/**
	 * Create the frame.
	 */
	public GCG_ServerFrame() {
		setTitle("GCG-Server");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 450, 300);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		contentPane.setLayout(new BorderLayout(0, 0));
		setContentPane(contentPane);

		verbindungLabel = new JLabel("IP / Port");
		verbindungLabel.setHorizontalAlignment(SwingConstants.CENTER);
		contentPane.add(verbindungLabel, BorderLayout.NORTH);

		ausgabeFeld = new JTextArea();
		//contentPane.add(ausgabeFeld, BorderLayout.SOUTH);

		scrollPane = new JScrollPane(ausgabeFeld);
		contentPane.add(scrollPane, BorderLayout.CENTER);
	}

	/**
	 * @param pMessage
	 */
	public void ausgeben(String pMessage) {
		this.ausgabeFeld.append(pMessage);
	}
	
	/**
	 * @param pSpielerName
	 * @param pMessage
	 */
	public void empfangAusgeben(String pSpielerName, String pMessage) {
		this.ausgabeFeld.append("\n" + "Empfangen von: " + pSpielerName);
		this.ausgabeFeld.append("\n" + pMessage);
	}

	/**
	 * @param pSpielerName
	 * @param pMessage
	 */
	public void einzelsendungAusgeben(String pSpielerName, String pMessage) {
		this.ausgabeFeld.append("\n" + "Geschickt an: " + pSpielerName);
		this.ausgabeFeld.append("\n" + pMessage);
	}

	/**
	 * @param pMessage
	 */
	public void globalsendungAusgeben(String pMessage) {
		this.ausgabeFeld.append("\n" + "Geschickt an alle: ");
		this.ausgabeFeld.append("\n" + pMessage);
	}
}
