package GCG.oldClient;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.EventQueue;
import java.awt.GridLayout;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.JTextField;
import javax.swing.SwingConstants;
import javax.swing.border.EmptyBorder;

@SuppressWarnings("serial")
public class ClientFrame extends JFrame {

	private JPanel contentPane;
	private JTextField ipEingabeFeld;
	private JTextField portEingabeFeld;
	
	private JButton btnVerbinden;
	
	private JTextArea ausgabeTextArea;
	private JScrollPane ausgabeScrollPane;
	private JPanel westPanel;

	private JLabel ausgabeAnzahlFarben;

	private JButton istAktivButton;
	private JPanel aktivPanel;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					ClientFrame frame = new ClientFrame();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public ClientFrame() {
		setTitle("GraphColoringGame");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 450, 300);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		contentPane.setLayout(new BorderLayout(0, 0));
		setContentPane(contentPane);
		
		JPanel northPanel = new JPanel();
		contentPane.add(northPanel, BorderLayout.NORTH);
		
		ipEingabeFeld = new JTextField();
		ipEingabeFeld.setText("localhost");
		northPanel.add(ipEingabeFeld);
		ipEingabeFeld.setColumns(10);
		
		portEingabeFeld = new JTextField();
		portEingabeFeld.setText("55555");
		northPanel.add(portEingabeFeld);
		portEingabeFeld.setColumns(10);
		
		btnVerbinden = new JButton("verbinden");
		northPanel.add(btnVerbinden);
		
		ausgabeTextArea = new JTextArea();
		ausgabeTextArea.setText("Meldungen vom Server");
		contentPane.add(ausgabeTextArea, BorderLayout.SOUTH);

		ausgabeScrollPane = new JScrollPane(ausgabeTextArea);
		contentPane.add(ausgabeScrollPane, BorderLayout.EAST);
		
		westPanel = new JPanel();
		contentPane.add(westPanel, BorderLayout.WEST);
		westPanel.setLayout(new GridLayout(2, 1, 0, 0));
		
		ausgabeAnzahlFarben = new JLabel("Es gibt 0 Farben");
		ausgabeAnzahlFarben.setHorizontalAlignment(SwingConstants.CENTER);
		westPanel.add(ausgabeAnzahlFarben);
		
		aktivPanel = new JPanel ();
		westPanel.add(aktivPanel);
		
		
		istAktivButton = new JButton("Nicht aktiv");
		istAktivButton.setPreferredSize(new Dimension(100, 20));
		istAktivButton.setOpaque(true);
		istAktivButton.setEnabled(false);
		istAktivButton.setForeground(Color.BLACK);
		istAktivButton.setBackground(Color.RED);
		aktivPanel.add(istAktivButton);	
	}
}
