
/**
 * Beschreiben Sie hier die Klasse QODTServer.
 /**
  * Ein "Quote of the day"-Server 
  * @author QUA-LIS NRW 
  * @version 1.0
 */
import netzklassen.Server;
public class QODTServer extends Server
{
   private Zitat[] zitate = new Zitat[20]; 
    /**
     * Konstruktor für Objekte der Klasse QODTServer
     */
    public QODTServer()
    { 
       super(17);
       zitate[0] = new Zitat("Vergiss nicht, man braucht nur wenig um ein glückliches Leben zu führen.", "Mark Aurel");
       zitate[1] = new Zitat("Die besten Dinge im Leben sind nicht die, die man für Geld bekommt.", "Albert Einstein");
       zitate[2] = new Zitat("Keinen Tag soll man verpassen.", "Johann Wolfgang von Goethe");
       zitate[3] = new Zitat("Heutzutage kennen die Leute von allem den Preis und nicht den Wert.", "Oscar Wilde");
       zitate[4] = new Zitat("Wahre Freundschaft ist eine sehr langsam wachsende Pflanze.", "George Washington");
       zitate[5] = new Zitat("Liebe verschenkt, Egoismus leiht.", "Friedrich von Schiller");
       zitate[6] = new Zitat("Wenn ich liebe, werde ich um das reicher was ich liebe.", "Friedrich von Schiller");
       zitate[7] = new Zitat("Erfahrungen vererben sich nicht, jeder muss sie alleine machen.", "Kurt Tucholsky");
       zitate[8] = new Zitat("Niemand ist unentbehrlich.", "Franklin D, Roosevelt");
       zitate[9] = new Zitat("Ignorieren ist noch keine Toleranz.", "Theodor Fontane");
       zitate[10] = new Zitat("Auch aus Steinen, die dir in den Weg gelegt werden, kannst du etwas Schönes bauen.", "Erich Kästner");
       zitate[11] = new Zitat("Irrtümer haben ihren Wert; jedoch nur hier und da. Nicht jeder, der nach Indien fährt, entdeckt Amerika.", "Erich Kästner");
       zitate[12] = new Zitat("Träume dir dein Leben schön und mach aus diesen Träumen eine Realität.", "Marie Curie");
       zitate[13] = new Zitat("Gib niemals auf, für das zu kämpfen, was du tun willst. Mit etwas, wo Leidenschaft und Inspiration ist, kann man nicht falsch liegen.", "Ella Fitzgerald");
       zitate[14] = new Zitat("Warte nicht darauf, dass die Menschen Dich anlächeln... Zeige ihnen wie es geht!", "Astrid Lindgren");
       zitate[15] = new Zitat("Verweile nicht in der Vergangenheit, träume nicht von der Zukunft. Konzentriere dich auf den gegenwärtigen Moment.", "Buddha");
       zitate[16] = new Zitat("Die Welt, obgleich sie wunderlich, ist gut genug für dich und mich.", "Wilhelm Busch");
       zitate[17] = new Zitat("Ein gutes Wort, ein frohes Lachen kann dich und andere glücklich machen", "Heinrich Heine");
       zitate[18] = new Zitat("Dummheiten können reizend sein, Dummheit nicht.", "Alberto Moravia");
       zitate[19] = new Zitat("Ich spreche gerne von nichts, das ist das Einzige, wovon ich wirklich etwas verstehe.", "Oscar Wilde");
    }

    @Override
    public void processNewConnection(String pClientIP, int pClientPort)
    {
        int zufallsZahl = (int)(Math.random()*20);
        String zitat = zitate[zufallsZahl].gibZitat()+","+zitate[zufallsZahl].gibAutor();
        send(pClientIP,pClientPort,zitat);
        closeConnection(pClientIP,pClientPort);
    }

    
    @Override
    public void processMessage(String pClientIP, int pClientPort, String pMessage)
    {}
    
     @Override
     public void processClosingConnection(String pClientIP, int pClientPort)
    {}
    
    
}
